Subject: Re: [PATCH net-next v5] net: ethernet: mtk_eth_soc: ppe: add support for multiple PPEs

From: Jakub Kicinski <[email-masked]>
Date: Thu, 6 Jun 2024 08:26:42 -0700

On Thu, 6 Jun 2024 08:56:49 +0300 Elad Yifee wrote:
> > I thought Daniel's suggestion was to remove this field.
> > I don't see your rebuke to that point or how it's addressed in the code.
> > Also it would be good if you CCed Daniel, always CC people who gave you
> > feedback.  
> I talked to Daniel in private, I should have done that publicly.
> Relying solely on ifindex%ppe_num could potentially lead to more than
> one GMAC assigned to the same PPE.
> Since the ingress device could be a non mtk type, I added that sanity check.
> I think the additional field is a small price to keep things clear and simple.

Got it, could you include the justification for sticking to the current
method in the commit message, maybe?